- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 575c8505-b763-43f3-8b15-97f23e7d3518
    creation_time: 2023-02-17T13:39:24.635814Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 41
    column: 0
    function: main
  loop_invariant:
    string: a == y * r + x * p && b == x * q + y * s && q * xy + s * yy - q * x - b * y - s * y + b == 0 && xy == x * y && yy == y * y
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 412d5468-99aa-4907-9ac2-bcd58cf70c51
    creation_time: 2023-02-17T13:39:24.635993Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 47
    column: 0
    function: main
  loop_invariant:
    string: k * b + c == a == y * r + x * p && b == x * q + y * s && q * xy + s * yy - q * x - b * y - s * y + b == 0 && xy == x * y && yy == y * y
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ced72375-ac16-4dca-8da8-03a5b2441e5f
    creation_time: 2023-02-17T13:39:24.636281Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 48
    column: 0
    function: main
  location_invariant:
    string: a == k * b + c
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0dea6899-e10c-4c4d-9951-d2e64a8f92fb
    creation_time: 2023-02-17T13:39:24.636365Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 49
    column: 0
    function: main
  location_invariant:
    string: a == y*r + x*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8b9fdb66-3605-4728-95fc-40d8a05d445f
    creation_time: 2023-02-17T13:39:24.636500Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 50
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1fb9ac5f-44bf-4cac-83ae-40582859982f
    creation_time: 2023-02-17T13:39:24.636588Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 51
    column: 0
    function: main
  location_invariant:
    string: q*xy + s*yy - q*x - b*y - s*y + b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 2309c893-d5ca-4649-b2a7-8fec8ab9e38a
    creation_time: 2023-02-17T13:39:24.636673Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 71
    column: 0
    function: main
  location_invariant:
    string: q*x + s*y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: fb52f637-efed-43b9-92ff-262f737aa68d
    creation_time: 2023-02-17T13:39:24.636751Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd2-ll_valuebound100.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd2-ll_valuebound100.c: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd2-ll_valuebound100.c
    file_hash: f5697d76d3e5ae232d0e056ee307ac88ca38e983a94c4765bc5d51f77e79d2f7
    line: 72
    column: 0
    function: main
  location_invariant:
    string: p*x + r*y == a
    type: assertion
    format: C

